#ifndef _GAMESTATE_H
#define _GAMESTATE_H

#include <Ogre.h>

class GameState
{
 public:
  GameState();
  virtual ~GameState();

  virtual void enter() = 0;
  virtual void exit() = 0;

  virtual bool frameStarted(const Ogre::FrameEvent *evt) = 0;
  virtual bool frameEnded(const Ogre::FrameEvent *evt) = 0;
};

#endif
